Ask Your Question
0

"savanna-db-manage" error "invalid choice: upgrade" [closed]

asked 2014-03-11 12:52:34 -0500

bo-zhang gravatar image

Hello everyone,

I deploy Openstack by Devstack-stable-havanna And follow this http://docs.openstack.org/developer/savanna/userdoc/installation.guide.html (installation guide) to install Savanna.

But I meet an error when Savanna "create database schema".

I use the command in the guide, but I got an error like this:

savanna-db-manage:error:argument command: invalid choice: 'upgrade' (choose from 'db-sync')

The output is just one line. I hope someone could help me.

thanks in advance.

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by mpetason
close date 2014-06-09 11:16:09.503485

1 answer

Sort by ยป oldest newest most voted
1

answered 2014-03-13 04:33:20 -0500

dmitrymex gravatar image

Savanna version 0.3 corresponds to the OpenStack Havanna, so I assume you are using it.

Note that the guide you've posted corresponds to the master branch. You can browse docs for non-master at readthedocs. Here is the link to 0.3 documentation: http://savanna.readthedocs.org/en/0.3/

Here you will see that you don't need to run savanna-db-manage to start Savanna. In 0.3 the database is lazily created on startup if it doesn't exist.

edit flag offensive delete link more

Comments

Thanks a lot :-), it works

bo-zhang gravatar imagebo-zhang ( 2014-03-13 10:21:29 -0500 )edit

Get to know Ask OpenStack

Resources for moderators

Question Tools

Stats

Asked: 2014-03-11 12:52:34 -0500

Seen: 104 times

Last updated: Mar 13 '14